<html devsite><head>
    <title>Android 5.0 中的安全增强功能</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>每个 Android 版本中都包含数十种用于保护用户的安全增强功能。以下是 Android 5.0 中提供的一些主要安全增强功能：</p>

<ul>
  <li><strong>默认加密：</strong> 在以开箱即用的方式搭载 L 的设备上，会默认启用全盘加密功能，以便更好地保护丢失设备或被盗设备上的数据。对于更新到 L 的设备，可以在<strong>设置</strong> &gt; <strong>安全性</strong>部分进行加密。
  </li><li><strong>经过改进的全盘加密功能：</strong> 使用 <code>scrypt</code> 保护用户密码免遭暴力破解攻击；在可能的情况下，该密钥会绑定到硬件密钥库，以防范来自设备外的攻击。和以往一样，Android 屏幕锁定密钥和设备加密密钥不会被发送到设备以外，也不会提供给任何应用。
  </li><li><strong>通过 SELinux 得到增强的 Android 沙盒</strong>：对于所有域，Android 现在都要求 SELinux 处于强制模式。SELinux 是 Linux 内核中的强制访问控制 (MAC) 系统，用于增强现有的自主访问控制 (DAC) 安全模型。这个新的安全层为防范潜在的安全漏洞提供了额外的保护屏障。
  </li><li><strong>Smart Lock：</strong>Android 现在包含一些 Trustlet，它们可以提供更灵活的设备解锁方式。例如，Trustlet 可让设备在靠近其他可信设备（通过 NFC、蓝牙）时或用户拥有可信面孔时自动解锁。
  </li><li><strong>面向手机和平板电脑的多用户功能、受限个人资料和访客模式：</strong> Android 现在为手机提供了多用户功能，并包含一个访客模式。利用访客模式，您可以让访客轻松地临时使用您的设备，而不向他们授予对您的数据和应用的访问权限。
  </li><li><strong>不使用 OTA 的 WebView 更新方式：</strong> 现在可以独立于框架对 WebView 进行更新，而且无需采用系统 OTA 方式。这有助于更快速地应对 WebView 中的潜在安全问题。
  </li><li><strong>经过更新的 HTTPS 和 TLS/SSL 加密功能</strong>：现在启用了 TLSv1.2 和 TLSv1.1，首选是正向加密，启用了 AES-GCM，停用了弱加密套件（MD5、3DES 和导出密码套件）。如需更多详细信息，请访问 <a href="https://developer.android.com/reference/javax/net/ssl/SSLSocket.html">https://developer.android.com/reference/javax/net/ssl/SSLSocket.html</a>。
  </li><li><strong>移除了非 PIE 链接器支持：</strong> Android 现在要求所有动态链接的可执行文件都要支持 PIE（位置无关可执行文件）。这有助于增强 Android 的地址空间布局随机化 (ASLR) 实现。
  </li><li><strong>FORTIFY_SOURCE 改进：</strong> 以下 libc 函数现在实现了 FORTIFY_SOURCE 保护功能：<code>stpcpy()</code>、<code>stpncpy()</code>、<code>read()</code>、<code>recvfrom()</code>、<code>FD_CLR()</code>、<code>FD_SET()</code> 和 <code>FD_ISSET()</code>。这有助于防范涉及这些函数的内存损坏漏洞。
  </li><li><strong>安全修复程序：</strong> Android 5.0 中还包含针对 Android 特有漏洞的修复程序。有关这些漏洞的信息已提供给“开放手机联盟”(Open Handset Alliance) 成员，并且 Android 开放源代码项目中提供了相应的修复程序。为了提高安全性，搭载更低版本 Android 的某些设备可能也会包含这些修复程序。
</li></ul>

</body></html>